Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - cryfs-gui

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: cryfs-gui 1.2.0-1

Git Clone URL: https://aur-dev.archlinux.org/cryfs-gui.git (read-only)
Package Base: cryfs-gui
Description: A Qt/C++ front end to EncFS and CryFS (edit PKGBUILD to customize install options)
Upstream URL: https://github.com/mhogomchungu/cryfs-gui
Licenses: LGPL3
Conflicts: cryfs-gui-git
Provides: cryfs-gui
Submitter: hansi
Maintainer: hansi
Last Packager: hansi
Votes: 3
Popularity: 0.073548
First Submitted: 2016-06-12 21:48
Last Updated: 2016-06-12 22:08

Latest Comments

mhogomchungu commented on 2016-10-29 09:35


@Fallback,

Sirikali 1.2.1 was just released and it should build fine with Qt4.

mhogomchungu commented on 2016-10-20 19:05


@Fallback,

The git version now has a fix[1] for the build issue you experienced.

It should be simple to manually update that single line to make it build on Qt4 or you can switch to Qt5 build and build it without manually modifying anything.

[1] https://github.com/mhogomchungu/sirikali/commit/6b36261b63282881dd459b3b1280952ea1d6f0d0

mhogomchungu commented on 2016-10-20 16:54


You tried to build using Qt4,can you try again but with Qt5?

I am on plasma5 now and its been a while since i last tested the project on Qt4.

Fallback commented on 2016-10-20 14:30

https://bpaste.net/show/4f68081c1173
I tried to build SiriKali with this error :

https://bpaste.net/show/47b6466c1906

mhogomchungu commented on 2016-08-13 17:57


This project is discontinued and "SiriKali"[1] is a new project taking its place.

SiriKali is just a name change of "cryfs-gui" and it starts off at version 1.3.4 of cryfs-gui.

"cryfs-gui" name made sense when it was a front end to only "cryfs" and the name change is due to a need of a neutral name because it is now a front end to cryfs,encfs,securefs and gocryptfs and any future FUSE based encrypted folders.

[1] https://mhogomchungu.github.io/sirikali/

alienos commented on 2016-08-13 16:55

There is already version 1.3.4 . Please update.

Xabre commented on 2016-06-27 13:40

This should not depend on entire kdeutils group if kde backend is enabled. Only kwallet.

mhogomchungu commented on 2016-06-20 17:58


Hi,developer of cryfs-gui project here and thats for packaging this project of mine for arch linux.

I think it will be better if you make Qt5 the default Qt dependency because:

1. There are some features that are available only in Qt5 build.

2. Qt4 is on its way out and Qt5 is the future.

hansi commented on 2016-06-12 22:04

/!\ UNTESTED w/ KDE as I don't have it installed, therefore building this package with $_kde_backend might fail...